@import url('../css2-1');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Raleway", sans-serif;
}

/* :root { 
    --primary-clr: #00173e;
    --secondary-clr: #6b9cf8;
    --white-clr: #fff;
    --gray-clr: rgb(171, 169, 169);
} */
:root {
    --primary-theme: #001d3d;
    --primary-clr: #3d52a0;
    --secondary-clr: #7091e6;
    --white-clr: #fff;
    --gray-clr: #8697c4;
    --light-gray-clr: #adbbda;
    --light-white-clr: #ede8f5;
    --dark-clr: #00173c;
    --black-clr: #000000;
    --yellow-clr: #f8a501;
    --orange-clr: #ff7c69;
  }
  

footer {
    /* background-color: rgb(2, 2, 22); */
    background-image: url(../assets/RDG-new-web-layout-footer.png);
    background-position: top center;
    background-size: cover;
    padding: 150px 0 50px 0;
    
    position: relative;
    z-index: 2;
}

.footer_logo img {
    width: 340px;
    margin-bottom: 40px;
}
.footer_call {
    color: var(--white-clr);
}
.footer_call a {
    color: var(--white-clr);
    font-family: sans-serif;
}
.footer_call a:hover {
    text-decoration: underline;
}

.footer_logo p {
    font-size: 18px;
    color: gray;
    font-weight: 600;
    line-height: 30px;
    font-size: 16px;
    padding-right: 60px;
}
.footer_link {
    /* border: 1px solid red; */
    display: flex;
    flex-direction: row;
}
.footer_links {
    /* border: 1px solid red; */
    /* padding-top: 36px; */
    /* width: 50%; */
}

.footer_links h3{
    font-weight: bold;
    color: var(--white-clr);
    margin-bottom: 20px;
    /* border: 1px solid red; */
}
.footer_links ul li {
    list-style: none;
    margin-left: -30px;
    margin-bottom: 12px;
}
.footer_links ul li a {
    text-decoration: none;
    color: #c6c6c6;
    font-size: 18px;
}
.footer_links ul li a:hover {
    text-decoration: none;
    color: var(--white-clr);
    border-bottom: 2px solid var(--white-clr);
    transition: 0.4s ease-in-out;
    font-size: 18px;
    padding-bottom: 2px;
}

.footer_back_logo .footer_links {
    padding-top: 0;
}
.footer_back_logo h3 {
    color: var(--white-clr);
    font-weight: 700;
}
.footer_back_logo p {
    color: rgb(194, 194, 194);
    font-size: 13px;
    margin-top: -8px;
}

.footer_back_logo img {
    /* border: 1px solid red; */
    width: 20%;
}

.footer_social_links {
    display: flex;
    justify-content: start;
    align-items: center;
}
.footer_social_links a {
    background-color: var(--white-clr) !important;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    margin-right: 10px;
    padding: 6px 8px;
    border: 1px solid var(--white-clr);
    color: var(--dark-clr);
    transition: all 0.4s ease;
}
.footer_social_links a:hover {
    background-color: transparent !important;
    color: var(--white-clr);
}

.footer_address li {
    color: #bcbcbc;
    font-size: 13px;
}
.footer_address li span {
    color: var(--white-clr);
    font-size: 16px;
}

.footer_address li img {
    width: 24px;
}


.footer_footer {
    display: flex;
    justify-content: center;
    align-items: center;

    padding-top: 20px;
    margin-top: 30px;
    border-top: 1px solid #969696;
    color: var(--white-clr) !important;
}

.footer_footer p {
  color: white;
}

/* --------- responsive cotrols --------- */
@media (max-width: 375px) {
    footer {
        background-color: rgb(2, 2, 22);
        padding: 60px 0;
    }
    
    .footer_logo img {
        width: 20%;   /* new */
    }
    .footer_logo p { /* new */
        line-height: 24px;
        font-size: 14px;
        padding-right: 0;
    }
    .footer_link {
        /* border: 1px solid red; */
        flex-direction: row;
    }
    .footer_links {
        padding-top: 20px; /* new */
    }
    .footer_links h3 {
        margin-bottom: 20px;
    }
    .footer_links ul li {
        list-style: none;
        margin-left: -30px;
        margin-bottom: 10px;
    }
    .footer_links ul li a {
        text-decoration: none;
        color: #c6c6c6;
        font-size: 16px;
    }
    
    .footer_back_logo img {
        width: 20%;
        /* border: 1px solid red; */
        /* margin-top: 20px; */
    }
}

@media (min-width:376px) and (max-width: 480px) {
    footer {
        background-color: rgb(2, 2, 22);
        padding: 60px 0;
    }
    
    .footer_logo img {
        width: 20%;   /* new */
    }
    .footer_logo p { /* new */
        line-height: 24px;
        font-size: 14px;
        padding-right: 0;
    }
    .footer_link {
        /* border: 1px solid red; */
        flex-direction: row;
    }
    .footer_links {
        padding-top: 20px; /* new */
    }
    .footer_links h3 {
        margin-bottom: 20px;
    }
    .footer_links ul li {
        list-style: none;
        margin-left: -30px;
        margin-bottom: 10px;
    }
    .footer_links ul li a {
        text-decoration: none;
        color: #c6c6c6;
        font-size: 16px;
    }
    
    .footer_back_logo img {
        width: 20%;
        /* margin-top: 20px; */
    }
}

@media (min-width:481px) and (max-width: 768px) {
    footer {
        background-color: rgb(2, 2, 22);
        padding: 60px 0;
    }
    
    .footer_logo img {
        width: 20%;   /* new */
    }
    .footer_logo p { /* new */
        line-height: 24px;
        font-size: 14px;
        padding-right: 0;
    }
    .footer_link {
        /* border: 1px solid red; */
        flex-direction: row;
    }
    .footer_links {
        padding-top: 20px; /* new */
    }
    .footer_links h3 {
        margin-bottom: 20px;
    }
    .footer_links ul li {
        list-style: none;
        margin-left: -30px;
        margin-bottom: 10px;
    }
    .footer_links ul li a {
        text-decoration: none;
        color: #c6c6c6;
        font-size: 16px;
    }
    
    .footer_back_logo img {
        width: 20%;
        /* margin-top: 20px; */
    }
}

@media (min-width:769px) and (max-width: 1280px) {
    footer {
        padding: 60px 0;
        background-color: rgb(2, 2, 22);
    }
    
    .footer_logo img {
        width: 20%;
        margin-bottom: 40px;
    }
    .footer_logo p {
        font-size: 18px;
        line-height: 26px;
        font-size: 15px;
        padding-right: 0px;
    }
    .footer_link {
        /* border: 1px solid red; */
        display: flex;
        flex-direction: row;
    }
    .footer_links {
        /* border: 1px solid red; */
        padding-top: 10px;
        width: 50%;
    }
    .footer_links h3{
        margin-bottom: 36px;
        font-size: 20px;
    }
    .footer_links ul li {
        margin-bottom: 8px;
    }
    .footer_links ul li a {
        text-decoration: none;
        color: #c6c6c6;
        font-size: 15px;
    }
    
    .footer_back_logo img {
        width: 20%;
    }
}

@media (min-width:1281px) and (max-width: 1500px) {
    footer {
        background-color: rgb(2, 2, 22);
    }
    .footer_back_logo img {
        width: 20%;
    }
}

/* ------------------------------------ */
/* --------- Form Section css --------- */  
/* --------- -------------------------- */


.formsection {
    background-color: var(--white-clr);
    padding-top: 100px;
    padding-bottom: 20px;
    background: linear-gradient(to top, #ededed 50%, var(--white-clr));

    position: relative;
    margin-bottom: -80px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.formsection_wrapper {
    /* border: 1px solid red; */
    display: flex;
    justify-content: center;
    align-items: center;

    overflow: hidden;
    position: relative;
    width: 60%;
    z-index: 1;
}
.hidden {
    transform: translateY(100%);
    transition: transform 0.5s ease-out;
}

.visible {
    transform: translateY(0);
    transition: transform 0.5s ease-out;
}
.formsection_wrapper form {
    /* border: 1px solid red; */
    background-color: var(--white-clr);
    padding: 20px 40px;
    width: 100%;
    padding-bottom: 60px;
    padding-top: 60px;
    border-radius: 30px;
    /* -webkit-box-shadow: 1px 0px 21px 0px rgba(214,214,214,1);
-moz-box-shadow: 1px 0px 21px 0px rgba(214,214,214,1);
box-shadow: 1px 0px 21px 0px rgba(214,214,214,1); */
}
.formsection_wrapper form h2 {
    text-align: center;
    font-weight: 700;
}

.formsection_wrapper form label {
    font-weight: 700;
    font-size: 14px;
}
.formsection_wrapper form label i {
    font-size: 13px;
    margin-right: 6px;
}
.formsection_wrapper form input {
    outline: none;
    border: 2px solid var(--light-gray-clr);
}
.formsection_wrapper form input::placeholder {
    font-size: 13px;
    color: var(--gray-clr);
    font-weight: 700;
}

.formsection_wrapper form select {
    border: 2px solid var(--light-gray-clr);
    font-size: 13px;
    color: var(--gray-clr);
    font-weight: 700;
    height: 39px;
}
.formsection_wrapper form select option{
    font-size: 13px;
    color: var(--gray-clr);
    font-weight: 700;
}

.formsection_wrapper form textarea {
    outline: none;
    width: 100%;
    border: 2px solid var(--light-gray-clr);
}
.formsection_wrapper form textarea::placeholder {
    font-size: 13px;
    color: var(--gray-clr);
    font-weight: 700;
}


.formsection_wrapper form button {
    border: 2px solid rgb(2, 2, 22);
    background-color: rgb(2, 2, 22);
    width: 50%;
    border-radius: 30px;
    font-weight: 700;
    color: var(--white-clr);
    transition: all 0.4s ease-in-out;
}

.formsection_wrapper form button:hover {
    border: 2px solid rgb(2, 2, 22);
    background: transparent;
    width: 50%;
    border-radius: 30px;
}



/* ------------- responsive contorls ------------ */
@media (max-width: 425px) {
    .formsection {
        padding-top: 0;
        margin-bottom: 0;
    }
    .formsection_wrapper {
        /* border: 1px solid red; */
        width: 100%;
    }
    
    .formsection_wrapper form textarea {
        outline: none;
        width: 100%;
        border: 2px solid var(--light-gray-clr);
    }
    .formsection_wrapper form textarea::placeholder {
        font-size: 13px;
        color: var(--gray-clr);
        font-weight: 700;
    }
    
    
    .formsection_wrapper form button {
        border: 2px solid rgb(2, 2, 22);
        background-color: rgb(2, 2, 22);
        width: 50%;
        border-radius: 30px;
        font-weight: 700;
        color: var(--white-clr);
        transition: all 0.4s ease-in-out;
    }
    
    .formsection_wrapper form button:hover {
        border: 2px solid rgb(2, 2, 22);
        background: transparent;
        width: 50%;
        border-radius: 30px;
    }
}

/* @media (min-width:376px) and (max-width: 480px) {
    .formsection {
        padding-top: 100px;
        padding-bottom: 20px;
        margin-bottom: 0;
    }
    .formsection_wrapper {
    }
    .formsection_wrapper form {
        padding: 20px;
        width: 90%;
    }
} */
@media (min-width:425px) and (max-width: 480px) {
    .formsection {
        padding-bottom: 100px;
        /* border: 1px solid red; */
    }
    .formsection_wrapper {
        /* border: 1px solid red; */
        width: 100%;
    }
    .formsection_wrapper form {
        /* border: 1px solid red; */
        width: 100%;
    }
}

@media (min-width:481px) and (max-width: 768px) {
    .formsection {
        padding-top: 20px;
        padding-bottom: 20px;
        margin-bottom: 0px;
    }
    .formsection_wrapper {
        /* border: 1px solid red; */
        width: 100%;
    }
    .formsection_wrapper form {
        /* border: 1px solid red; */
        padding: 20px;
        width: 100%;
    }
}

@media (min-width:769px) and (max-width: 1280px) {
    .formsection {
        padding-top: 100px;
        padding-bottom: 20px 40px;
        margin-bottom: 0;
    }
    .formsection_wrapper {
        /* border: 1px solid red; */
        width: 80%;
    }
    .formsection_wrapper form {
        /* border: 1px solid red; */
        padding: 20px;
        width: 100%;
    }

    .footer_wrapper .row .col-md-3 {
        /* border: 1px solid red; */
        width: 50%;
    }
}

@media (min-width:1281px) and (max-width: 1500px) {
    .formsection {
        padding-top: 100px;
        padding-bottom: 20px 40px;
        margin-bottom: 0;
    }
    .formsection_wrapper {
        /* border: 1px solid red; */
        width: 80%;
    }
    .formsection_wrapper form {
        /* border: 1px solid red; */
        padding: 20px;
        width: 70%;
    }
}









/* ---------------------- whatsapp button ------------------- */
.chatButtonWrapper {
  position: fixed;
  bottom: 16px;
  right: 16px;
  z-index: 9999;
}
.chatButtonWrapper .whatsappButton {
  background-color: #25d366;
  border-radius: 50%;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  padding: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-size: 20px;
  margin-top: 10px;
}
.chatButtonWrapper a {
  text-decoration: none;
}

.chatButtonWrapper {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 999;
}

.chatButton {
  background-color: var(--primary-theme);
  color: white;
  border: none;
  padding: 16px;
  border-radius: 50%;
  cursor: pointer;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.1);
  transition: transform 0.6s ease-in-out;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60px;
  height: 60px;
}

.chatButton i {
    font-size: 20px;
}

.chatButton:hover {
  background-color: #013063;
}

.chatOptions {
  display: none;
  position: absolute;
  bottom: 65px;
  right: -5px;
  /* background-color: white; */
  border-radius: 8px;
  /* box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1); */
  padding: 10px;
  /* width: 150px; */
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.chatOptions.show {
  display: block;
  opacity: 1;
  transform: translateY(0);
}

.closeButton {
  font-size: 24px;
  color: #333;
  cursor: pointer;
}
